Page MenuHomePhabricator

TypeError: mw.translateHooks is undefined: qqq editor popup opens a json document and redirects to api.php after saving
Closed, DuplicatePublic

Description

  1. Open a translatable message: https://translatewiki.net/wiki/Special:Random/MediaWiki
  2. Click edit
  3. Above the qqq/docs section, click the "contribute" link to edit it
  4. Do your edit and save

I. Expected: the popup is closed and I stay where I was or I'm redirected to some meaningful place.

II. Observed: https://translatewiki.net/w/api.php is opened in the same window, with content e.g.

{"edit":{"result":"Success","pageid":3174480,"title":"MediaWiki:Openid-convert-already-your-openid-text/qqq","contentmodel":"wikitext","oldrevid":4880899,"newrevid":4880906,"newtimestamp":"2013-08-05T11:08:24Z"}}

and the error console shows:

Timestamp: 05/08/2013 13:08:05
Error: TypeError: mw.translateHooks is undefined
Source File: https://translatewiki.net/w/extensions/Translate/resources/js/ext.translate.quickedit.js
Line: 158


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49318
https://bugzilla.wikimedia.org/show_bug.cgi?id=67292

Details

Reference
bz52541

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:52 AM
bzimport set Reference to bz52541.
Nemo_bis created this task.Aug 5 2013, 11:12 AM
  • Bug 49318 has been marked as a duplicate of this bug. ***

Change 132705 had a related patch set uploaded by Nemo bis:
Remove afterRegisterFeatures hook

https://gerrit.wikimedia.org/r/132705

Change 132705 merged by jenkins-bot:
Remove afterRegisterFeatures hook

https://gerrit.wikimedia.org/r/132705